-- Uses repution system (relation_system) for aggro
-- This needs some testing when I have time -bensku

Modules.RepAggro = true
RepAggro = {
	EnemyTreshold = AI.GetSetting("EnemyRepution") or -200,
	EnemyTraits = {}, -- These traits make target enemy
	FriendTraits = {} -- These traits make friend always
}
--[[Example:
RepAggro.EnemyTraits = {
	AttackedMe = true,
	SuperEvil = true
}
]]

IsEnemy_norep = IsEnemy

-- Considers sympathy and traits to see if target is enemy
function IsEnemy(target)
	local traits = target:GetObjVar("RelTraits")
	if traits == nil then
		return IsEnemy_norep(target)
	end

	local friend = false
	local enemy = false
	local enemyTraits = RepAggro.EnemyTraits
	local friendTraits = RepAggro.FriendTraits
	for name,value in pairs(traits) do
		if enemyTraits[name] == true then
			enemy = true
		elseif friendTraits[name] == true then
			friend = true
		end
	end

	if friend then return false end
	if enemy then return true end

	local sympathy = GetSympathy(target)
	return sympathy < RepAggro.EnemyTreshold
end