-- Ingame editor commands...

DEV_MODE = false -- Remember to toggle false on production

ac_commands.OpenEditorToolbar = function()
	if not this:HasModule("editor") then
		this:AddModule("editor")
	end
	this:SendMessage("ShowEditor")
end

RegisterCommand{ Command="editor", AccessLevel = AccessLevel.God, Func=ac_commands.OpenEditorToolbar, Usage="/editor", Desc="Opens editor toolbar."}

if DEV_MODE then
require "editor.template_dump"

function EditorDumpTargeter()
	this:RequestClientTargetGameObj(this, "EditorDumpTarget")
end

function EditorDump(target, targeter)
	DumpToTemplate(target, "template_dump.xml")
end

RegisterCommand{ Command="editor_dump", AccessLevel = AccessLevel.God, Func=EditorDumpTargeter, Usage="/editor_dump", Desc="Editor-dump to template."}
RegisterEventHandler(EventType.ClientTargetGameObjResponse, "EditorDumpTarget", EditorDump)
end