require 'default:player'

require 'Guild'


UpdateNameOrg = UpdateName

RegisterEventHandler(EventType.Message, "UpdateName",
	function (user)
		--DebugMessage("Updatename recieved")
		UpdateName()
	end)


function UpdateName()
	local actualName = this:GetObjVar("actualName")
	local Points = GetPointsForPlayer(this);
	local guild = Guild.Get(this)


	if( actualName == nil ) then
		 actualName = this:GetName()
		 this:SetObjVar("actualName",actualName)
    end

	local namestring = ""
	local colorstring =""
	local prefix = ""
	local postfix = ""

    if(this:HasModule("incl_PvPPlayer")) then
    	local teamVar = this:GetObjVar("MobileTeamType")
    	if(teamVar == "Earth") then
		    colorstring ="[9E583F]"
		elseif(teamVar == "Fire") then
		    colorstring ="[DD0000]"
		elseif(teamVar == "Water") then
		    colorstring ="[0094FF]"
		end
    elseif (Points >= 20) then
			colorstring ="[FF0000]"
	elseif(this:IsGod()) then
		colorstring ="[FFBF00]"
		prefix = "[GOD-]"
	elseif(this:IsDemiGod()) then
		colorstring ="[2E64FE]"
		prefix=" [DGOD]"
	elseif(this:IsImmortal()) then
		colorstring ="[81BEF7]"
		prefix = " [IMM-]"
	else
		colorstring ="[FFBF00]"
	end

	if (guild ~= nil) then
		postfix = " [00FF00]\n{"..guild.Name.."}"
	end

	namestring = colorstring..actualName

	if (prefix ~= nil) then
		namestring= namestring..prefix
	end

	if (postfix ~= nil) then
		namestring=namestring..postfix
	end

	namestring=namestring.."[-]"

	this:SetName(namestring)
end

-------------------------------------------------------------------------------------------------------------------------------

DebugMessage("Init guild...")

InitGuildSystem()
this:SendMessage("LoggedIn")
UpdateName()


