targetmove = nil
angleturn = nil

RegisterEventHandler(EventType.ClientTargetGameObjResponse, "MoveObj",
	function(target,user)
		if( target == nil ) then
			return
		end

		if not( target:IsValid() ) then
			user:SystemMessage("Error: Invalid Item")
			return
		end

		user:SystemMessage("Select Destination")

		targetmove = target

		user:RequestClientTargetLoc(this, "MoveObjTarget")
end)

RegisterEventHandler(EventType.ClientTargetLocResponse, "MoveObjTarget",
	function(success,targetLoc)

	this:SystemMessage("Try to move....")
	if (success) then
		if( targetmove ~= nil ) then
			targetmove:SetWorldPosition(targetLoc)
			this:SystemMessage("Moved")
		end
	end

	targetmove = nil

end)

function MoveGameObj()
	targetmove = nil
	this:RequestClientTargetGameObj(this, "MoveObj")
end

RegisterEventHandler(EventType.ClientTargetGameObjResponse, "TurnObj",
	function(target,user)
		if( target == nil ) then
			return
		end

		if not( target:IsValid() ) then
			user:SystemMessage("Error: Invalid Item")
			return
		end



		target:SetFacing(angleturn)
		angleturn = nil
end)

function TurnGameObj(angle)
	angleturn = angle
	this:RequestClientTargetGameObj(this, "TurnObj")
end
