
----- WEREWOLF OVEWRRIDE
	local oldApplyDamage = HandleApplyDamage

	function HandleApplyDamage(damager, procDam, isCrit)

		if this:HasObjVar("god_negate_damage") then return end

		if( this:IsPlayer() or this:HasObjVar("were_immunity")) then 	
			oldApplyDamage(damager, procDam, isCrit)
	 		return
	 	end

		-- if im not a werebeast and the damager is a werebeast in werewolf form, apply damage differently 
		-- ("Humie" is the reference to the cursed human)
			local isDamagerWerebeast = damager ~= nil and damager:HasObjVar("IsWerebeast") and damager:HasObjVar("Humie") 
			local isDamagerCursedOne = damager ~= nil and damager:HasObjVar("IsWerebeast") and not damager:HasObjVar("Humie") 
			local isThisWerebeast = this:HasObjVar("IsWerebeast") and this:HasObjVar("Humie") 
			local isThisCursedOne = this:HasObjVar("IsWerebeast") and not this:HasObjVar("Humie") 
			local isThisNormalHuman = (not this:HasObjVar("IsWerebeast")) and (not this:HasObjVar("Humie") )


			-- CASE 1: Damager is in Werewolf Form, Victim is normal not cursed human or animal
			if( isDamagerWerebeast and isThisNormalHuman ) then
				--DebugMessage("Werewolf deals damage to Normal being")
				--- TODO Handle this later:	if( this:IsPlayer() ) then 	--DoStuff  end

				---- transmitting curse on kill and revive
				local curHealth = this:GetCurHealth()
				local newHealth = curHealth - procDam
				-- If killed transmit and heal TODO: find better mechanics

				if( newHealth <= 0 ) then
					DoMobileDeath(damager)
				else
					this:SetCurHealth(newHealth)
					--ServerBroadcast("The Beastlord howls", true)
					damager:GetObjVar("Humie"):SendMessage("TryTransmit",this)
					--ServerBroadcast("myHumie: "..tostring(damager:GetObjVar("Humie"):HandleAttemptTransmit(this)  ))
				end

			-- CASE 2: Both combattants are Werewolves, at least one of them is in Shifted form
			--- The shifted Werewolves "smell" the curse and spare cursed but nonshifted humans 
			--- The nonshifted but cursed Humans spare werewolves
			--- == Peace between Werebeasts no matter what form, except two non-shifted forms:
			elseif ( isDamagerWerebeast or isDamagerCursedOne ) and (isThisWerebeast or isThisCursedOne ) and not (isThisCursedOne and isDamagerCursedOne) then
				--DebugMessage("Werebeasts at peace (except two in human form)")
				damager:SendMessage("ClearTarget")
				this:SendMessage("ClearTarget")

			--- CASE 3: I am a shifted Werebeast, Damager is not - so shifted Werewolf taking damage from Human
			--- (Case with other werebeasts/cursedOnes has been caught already above): Handle death specially
			elseif isThisWerebeast then
				--DebugMessage("I am a shifted Werebeast, Damager is not")
				local curHealth = this:GetCurHealth()
				local newHealth = curHealth - procDam
				-- If killed destroy immediately do get rid of backpacked object or we have a returning beast
				if( newHealth <= 0 ) then
					PlayEffectAtLoc("BodyExplosion",this:GetLoc(),0)
					-- destroy human object
					this:GetObjVar("Humie"):SendMessage("Destroy")
					this:SendMessage("Destroy")
				else
					this:SetCurHealth(newHealth)
				end
			--- CASE 4: Victim is a CursedOne: Handle death specially
			elseif (isThisCursedOne) then
				--DebugMessage("Victim is a CursedOne: Handle death specially")
				local curHealth = this:GetCurHealth()
				local newHealth = curHealth - procDam
				-- If killed remove curse. Shift Timer will have no effect then and get removed by the cron object later on in housekeeping
				if( newHealth <= 0 ) then
					HandleCurselifting()
					--Finally classical stuff
					oldApplyDamage(damager, procDam, isCrit)
				else
					oldApplyDamage(damager, procDam, isCrit)
				end
			-- FINAL CASE: Classical damage dealing: No werebeasts involved
			else
				--DebugMessage("Classical damage dealing: No werebeasts involved")
				--ServerBroadcast("Classical Damage Deal",true)
				oldApplyDamage(damager, procDam, isCrit)

			end
	end
